Fleet List Archival Backups

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/archivalBackups/protectionPolicy/{protectionPolicyName}

Get the list of archival backups for all protected databases in a protection policy on a Recovery Appliance. This API requires ZDLRA Management Pack to be enabled on the Recovery Appliance.

Request

Path Parameters
Query Parameters
  • Minimum Value: 1
    Maximum Value: 2000
    to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.
    Example:
    20
  • system generated page token used in the self, next and previous links.
Header Parameters
  • Recovery Appliance Administrator Credentials. The format must be NAMED: (e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials.
    Example:
    NAMED:ORSADMIN

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful Operation
Body ()
Root Schema : ArchivalBackupProtectionPolicyCollection
Type: object
Collection of Archival Backup objects
Show Source
Match All
Collection of Archival Backup objects
Show Source
Nested Schema : items
Type: array
List of Archival Backup objects
Show Source
Nested Schema : CommonListProperties
Type: object
Common properties for list response.
Show Source
Nested Schema : ArchivalBackupSinglePolicySummary
Type: object
Archival backup Properties
Match All
Archival backup Properties
Show Source
Nested Schema : ArchivalBackupSingleDatabase
Type: object
Archival backup Properties
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top